# $Revision: 1.30.2.2 $, $Date: 2003/12/11 11:57:30 $
# TODO:
#   - make two virus db sources providing mks-virdb-source
#       - cron update
#       - static db (built with package)

Summary:	Daemon for mks-anti-virus utility for Unix
Summary(pl):	Demon dla mks - antywirusowe narzdzie dla Unixw
Name:		mksd
Version:	1.15.2
Release:	2
License:	This program will be for free till the end of year 2003 (see licencja.txt)
Group:		Applications
Source0:	http://download.mks.com.pl/download/linux/mksdLinux-%{version}.tgz
# Source0-md5:	d7094273de4df897a4e69f6c6f43244c
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://linux.mks.com.pl/
PreReq:		rc-scripts
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires:	mks
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:	%{ix86}

%description
MKSD Antivirus is anti-virus scanner for Unix.

%description -l pl
MKSD jest demonem dla Linuksa przyspieszajcym skanowanie poczty przy
korzystaniu z mks.

%package clients
Summary:	MKSD system clients
Summary(pl):	Aplikacje klienckie dla MKSD
Group:		Applications
Requires:	%{name} = %{version}

%description clients
MKSD system clients.

%description clients -l pl
Aplikacje klienckie dla MKSD.

%package devel
Summary:	MKSD - development header files and libraries
Summary(pl):	MKSD - pliki nagwkowe i biblioteki dla programistw
Group:		Development/Libraries

%description devel
This package contains the development header files and libraries
necessary to develop MKSD client applications.

%description devel -l pl
Pliki nagwkowe i biblioteki konieczne do kompilacji aplikacji
klienckich MKSD.

%prep
%setup -q

%build
tar xf inne/src.tar
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}} \
	$RPM_BUILD_ROOT{/var/run/mksd,/etc/{rc.d/init.d,sysconfig}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mksd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mksd
install *.h $RPM_BUILD_ROOT%{_includedir}/libmksd.h
install *.a $RPM_BUILD_ROOT%{_libdir}
install mksd mkschk mkschkin mksfiltr mksscan $RPM_BUILD_ROOT%{_bindir}
install inne/mks* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- amavis-ng
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis mksd 1>&2 > /dev/null
	echo "adding mksd to amavis group GID=$AMAVIS"
fi

%triggerin -- amavisd-new

AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis mksd 1>&2 > /dev/null
	echo "adding mksd to amavis group GID=$AMAVIS"
fi

%triggerin -- amavisd
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis mksd 1>&2 > /dev/null
	echo "adding mksd to amavis group GID=$AMAVIS"
fi

%pre
if [ -n "`getgid mksd`" ]; then
	if [ "`getgid mksd`" != "44" ]; then
		echo "Error: group mksd doesn't have gid=44. Correct this before installing Mksd." 1>&2
		exit 1
	fi
else
	echo "adding group mksd GID=44"
	/usr/sbin/groupadd -g 44 -r -f mksd
fi
if [ -n "`id -u mksd 2>/dev/null`" ]; then
	if [ "`id -u mksd`" != "44" ]; then
		echo "Error: user mksd doesn't have uid=44. Correct this before installing Mksd." 1>&2
		exit 1
	fi
else
	echo "adding user mksd UID=44"
	/usr/sbin/useradd -u 44 -r -d /tmp -s /bin/false -c "Mksd Anti Virus Checker" -g mksd mksd 1>&2
	AMAVIS=$(/usr/bin/getgid amavis)
	RESULT=$?
	if [ $RESULT -eq 0 ]; then
		/usr/sbin/usermod -G amavis mksd 1>&2 > /dev/null
		echo "adding to amavis group GID=$AMAVIS"
	fi
fi


%postun
if [ "$1" = "0" ]; then
	echo "Removing user mksd."
	/usr/sbin/userdel mksd
	echo "Removing group mksd."
	/usr/sbin/groupdel mksd
fi

%post
/sbin/chkconfig --add mksd
if [ -f /var/lock/subsys/mksd ]; then
	/etc/rc.d/init.d/mksd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/mksd start\" to start Mksd for Linux daemon."
fi

%preun
if [ "$1" = "0" ];then
	if [ -f /var/lock/subsys/mksd ]; then
		/etc/rc.d/init.d/mksd stop >&2
	fi
	/sbin/chkconfig --del mksd
fi

%files
%defattr(644,root,root,755)
%doc README LICENCJA CONOWEGO
%attr(755,root,root) %{_bindir}/mksd
%attr(754,root,root) /etc/rc.d/init.d/mksd
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/mksd
%attr(755,mksd,mksd) /var/run/mksd

%files clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mks[cfsw]*
%doc inne/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mksd.spec,v $
Revision 1.30.2.2  2003/12/11 11:57:30  matkor
- Release 2. STBR for Ra. Added to mksd.sysconfig UPDATE_QUIET, UPDATE_HOUR. Pointed out by Andrzej Zawadzki zawadaa malpa wp kropka pl.

Revision 1.30.2.1  2003/12/04 16:48:03  ankry
- cosmetics

Revision 1.30  2003/12/03 18:55:37  matkor
- Version 1.15.2. Release 1. STBR for Ra.

Revision 1.29  2003/11/25 11:15:26  speedy
- release 6
- ExclusiveArch:  %{ix86}

Revision 1.28  2003/09/23 09:36:01  matkor
- Release 5. added mksscan file to package.

Revision 1.27  2003/08/18 08:08:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.25  2003/07/29 14:45:49  blues
- unified Mksd name

Revision 1.24  2003/07/29 09:01:49  qboosh
- typo

Revision 1.23  2003/07/29 08:03:55  jasio
- Small fix License field

Revision 1.22  2003/07/29 08:00:52  jasio
- Release 3
- Updated License field
- This version is for Ra and Nest
- STBR

Revision 1.21  2003/07/28 11:43:59  hunter
--trigger groupadd mksd to group amavis for amavis* daemons.

Revision 1.20  2003/07/28 10:28:07  hunter
-getgid amavis

Revision 1.19  2003/07/26 04:02:26  blues
- now it is like it should be

Revision 1.18  2003/07/26 03:53:26  hunter
--fixed install -d, now should build

Revision 1.17  2003/07/25 12:47:11  blues
- some cleanups

Revision 1.16  2003/07/10 08:56:01  jasio
- mksd is now added to amavis group to scan messages
- added preun end post sections
- STBR

Revision 1.15  2003/06/12 11:05:57  jasio
- corrected Version field

Revision 1.14  2003/06/12 11:00:43  jasio
- corrected md5sum for new version of sources

Revision 1.13  2003/06/12 10:48:19  jasio
- update to version 1.14.2

Revision 1.12  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/17 06:50:06  pascalek
- revert user changes

Revision 1.9  2003/05/10 11:30:20  pascalek
- Req user-mksd

Revision 1.8  2003/05/05 11:02:53  areq
- 1.13

Revision 1.7  2003/02/13 22:41:28  areq
- 1.12

Revision 1.6  2002/12/07 14:33:27  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.5  2002/12/03 18:12:19  areq
- 1.10, STBR

Revision 1.4  2002/11/25 14:50:45  areq
- 1.09

Revision 1.3  2002/11/15 14:50:36  areq
- 1.08

Revision 1.2  2002/10/22 21:50:28  qboosh
- s/Warning/Error/ in %%pre, added Requires(pre,postun)

Revision 1.1  2002/10/20 20:15:11  areq
- init PLD spec
